---
author: "UEFF"
title: "Mlartlar Zhuh"
date: 2017-04-02T12:00:06+01:00
draft: false
type: "showcase"
---

## General info
| | |
|-|-|
| Name | Mlartlar Zhuh |
| Date of birth | 2.5.180 BLC |
| City of birth | [Theveluma](/cities/theveluma) |
| Nationality | ![Yllin](/images/flags/yllin_small_md.png) [Yllin](/nations/yllin) |
| Race | [Elf](/races/elf) |
| Position | Coach |
| Current club | [USC Theveluma](/teams/usctheveluma) |

## Club career

| Club | Season | League position |
|-|-|-|
| [USC Theveluma](/teams/usctheveluma) | 20 | | |

## Honours

